Skip to main content

Create Task

POST /public/action/tasks/create

Creates a new task (deliverable) inside a project.

Authentication: X-API-KEY header (see Authentication).

Request body​

FieldTypeDescription
namestringTask name.
clientNamestringClient name.
projectNamestringProject the task belongs to.
statusstringTask status (see List Project Task Stages).
descriptionstringTask description.
startDatedateStart date.
dueDatedateDue date.
priorityintegerPriority.
tasksstring[]Sub-task names.
assignedTostring[]Emails of assignees.
customValuesmapCustom-field values.

Request​

curl -X POST https://api.withmoxie.com/public/action/tasks/create \
-H "X-API-KEY: your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"name": "Design homepage", "clientName": "Acme Kft.", "projectName": "Website Redesign"}'

Response​

Returns the created ProjectDeliverable.

{
"id": "66b0f5d4c3a9e40012ab7000",
"accountId": 10016,
"clientId": "66b0f2a1c3a9e40012ab34cd",
"projectId": "66b0f4c3c3a9e40012ab6611",
"name": "Design homepage",
"statusId": "status_todo",
"description": null,
"type": "TASK",
"startDate": null,
"dueDate": null,
"assignedToList": []
}